ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
multiple_line_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)

## Data Fields
| $Database = false
| $CachedMultyFS = false
| $Security = false
| $Settings = false
| $String = false

## Detailed Description

Class provides helpers for multiple input windget.

Author
  Dodonov A.A.

Definition at line 26 of file multiple_line.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 54 of file multiple_line.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->Database = get_package( 'database' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->Settings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 88 of file multiple_line.php.

{
try
{
$PageJS = get_package( 'page::page_js' , 'last' , __FILE__ );
$PackagePath = _get_package_relative_path_ex( 'gui::multiple_line' , '1.0.0' );
$PageJS->add_javascript( "{http_host}/$PackagePath/include/js/multiple_line.js" );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Definition at line 39 of file multiple_line.php.

$Database = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 38 of file multiple_line.php.

$Security = false

Definition at line 40 of file multiple_line.php.

$Settings = false

Definition at line 41 of file multiple_line.php.

$String = false

Definition at line 42 of file multiple_line.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/multiple_line/multiple_line.php